]> CyberLeo.Net >> Repos - FreeBSD/FreeBSD.git/blob - contrib/openpam/t/Makefile.in
THIS BRANCH IS OBSOLETE, PLEASE READ:
[FreeBSD/FreeBSD.git] / contrib / openpam / t / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # $OpenPAM: Makefile.am 943 2019-02-20 13:23:51Z des $
18
19 VPATH = @srcdir@
20 am__is_gnu_make = { \
21   if test -z '$(MAKELEVEL)'; then \
22     false; \
23   elif test -n '$(MAKE_HOST)'; then \
24     true; \
25   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26     true; \
27   else \
28     false; \
29   fi; \
30 }
31 am__make_running_with_option = \
32   case $${target_option-} in \
33       ?) ;; \
34       *) echo "am__make_running_with_option: internal error: invalid" \
35               "target option '$${target_option-}' specified" >&2; \
36          exit 1;; \
37   esac; \
38   has_opt=no; \
39   sane_makeflags=$$MAKEFLAGS; \
40   if $(am__is_gnu_make); then \
41     sane_makeflags=$$MFLAGS; \
42   else \
43     case $$MAKEFLAGS in \
44       *\\[\ \   ]*) \
45         bs=\\; \
46         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48     esac; \
49   fi; \
50   skip_next=no; \
51   strip_trailopt () \
52   { \
53     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54   }; \
55   for flg in $$sane_makeflags; do \
56     test $$skip_next = yes && { skip_next=no; continue; }; \
57     case $$flg in \
58       *=*|--*) continue;; \
59         -*I) strip_trailopt 'I'; skip_next=yes;; \
60       -*I?*) strip_trailopt 'I';; \
61         -*O) strip_trailopt 'O'; skip_next=yes;; \
62       -*O?*) strip_trailopt 'O';; \
63         -*l) strip_trailopt 'l'; skip_next=yes;; \
64       -*l?*) strip_trailopt 'l';; \
65       -[dEDm]) skip_next=yes;; \
66       -[JT]) skip_next=yes;; \
67     esac; \
68     case $$flg in \
69       *$$target_option*) has_opt=yes; break;; \
70     esac; \
71   done; \
72   test $$has_opt = yes
73 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75 pkgdatadir = $(datadir)/@PACKAGE@
76 pkgincludedir = $(includedir)/@PACKAGE@
77 pkglibdir = $(libdir)/@PACKAGE@
78 pkglibexecdir = $(libexecdir)/@PACKAGE@
79 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80 install_sh_DATA = $(install_sh) -c -m 644
81 install_sh_PROGRAM = $(install_sh) -c
82 install_sh_SCRIPT = $(install_sh) -c
83 INSTALL_HEADER = $(INSTALL_DATA)
84 transform = $(program_transform_name)
85 NORMAL_INSTALL = :
86 PRE_INSTALL = :
87 POST_INSTALL = :
88 NORMAL_UNINSTALL = :
89 PRE_UNINSTALL = :
90 POST_UNINSTALL = :
91 build_triplet = @build@
92 host_triplet = @host@
93 @WITH_TEST_TRUE@TESTS = t_openpam_ctype$(EXEEXT) \
94 @WITH_TEST_TRUE@        t_openpam_dispatch$(EXEEXT) \
95 @WITH_TEST_TRUE@        t_openpam_readword$(EXEEXT) \
96 @WITH_TEST_TRUE@        t_openpam_readlinev$(EXEEXT) \
97 @WITH_TEST_TRUE@        t_pam_env$(EXEEXT)
98 @WITH_TEST_TRUE@check_PROGRAMS = $(am__EXEEXT_1)
99 @WITH_SYSTEM_LIBPAM_TRUE@@WITH_TEST_TRUE@am__append_1 = $(SYSTEM_LIBPAM)
100 @WITH_SYSTEM_LIBPAM_FALSE@@WITH_TEST_TRUE@am__append_2 = $(top_builddir)/lib/libpam/libpam.la
101 subdir = t
102 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
103 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pkg_config.m4 \
104         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
105         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
106         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
108         $(ACLOCAL_M4)
109 DIST_COMMON = $(srcdir)/Makefile.am $(am__noinst_HEADERS_DIST) \
110         $(am__DIST_COMMON)
111 mkinstalldirs = $(install_sh) -d
112 CONFIG_HEADER = $(top_builddir)/config.h
113 CONFIG_CLEAN_FILES =
114 CONFIG_CLEAN_VPATH_FILES =
115 @WITH_TEST_TRUE@am__EXEEXT_1 = t_openpam_ctype$(EXEEXT) \
116 @WITH_TEST_TRUE@        t_openpam_dispatch$(EXEEXT) \
117 @WITH_TEST_TRUE@        t_openpam_readword$(EXEEXT) \
118 @WITH_TEST_TRUE@        t_openpam_readlinev$(EXEEXT) \
119 @WITH_TEST_TRUE@        t_pam_env$(EXEEXT)
120 ARFLAGS = cru
121 AM_V_AR = $(am__v_AR_@AM_V@)
122 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
123 am__v_AR_0 = @echo "  AR      " $@;
124 am__v_AR_1 = 
125 libt_a_AR = $(AR) $(ARFLAGS)
126 libt_a_LIBADD =
127 am__libt_a_SOURCES_DIST = t_pam_conv.c t_pam_err.c
128 @WITH_TEST_TRUE@am_libt_a_OBJECTS = t_pam_conv.$(OBJEXT) \
129 @WITH_TEST_TRUE@        t_pam_err.$(OBJEXT)
130 libt_a_OBJECTS = $(am_libt_a_OBJECTS)
131 t_openpam_ctype_SOURCES = t_openpam_ctype.c
132 t_openpam_ctype_OBJECTS = t_openpam_ctype.$(OBJEXT)
133 t_openpam_ctype_LDADD = $(LDADD)
134 am__DEPENDENCIES_1 =
135 @WITH_SYSTEM_LIBPAM_TRUE@@WITH_TEST_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
136 @WITH_TEST_TRUE@t_openpam_ctype_DEPENDENCIES = $(am__DEPENDENCIES_1) \
137 @WITH_TEST_TRUE@        libt.a $(am__DEPENDENCIES_2) $(am__append_2)
138 AM_V_lt = $(am__v_lt_@AM_V@)
139 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
140 am__v_lt_0 = --silent
141 am__v_lt_1 = 
142 t_openpam_dispatch_SOURCES = t_openpam_dispatch.c
143 t_openpam_dispatch_OBJECTS = t_openpam_dispatch.$(OBJEXT)
144 t_openpam_dispatch_LDADD = $(LDADD)
145 @WITH_TEST_TRUE@t_openpam_dispatch_DEPENDENCIES =  \
146 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_1) libt.a \
147 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_2) $(am__append_2)
148 t_openpam_readlinev_SOURCES = t_openpam_readlinev.c
149 t_openpam_readlinev_OBJECTS = t_openpam_readlinev.$(OBJEXT)
150 t_openpam_readlinev_LDADD = $(LDADD)
151 @WITH_TEST_TRUE@t_openpam_readlinev_DEPENDENCIES =  \
152 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_1) libt.a \
153 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_2) $(am__append_2)
154 t_openpam_readword_SOURCES = t_openpam_readword.c
155 t_openpam_readword_OBJECTS = t_openpam_readword.$(OBJEXT)
156 t_openpam_readword_LDADD = $(LDADD)
157 @WITH_TEST_TRUE@t_openpam_readword_DEPENDENCIES =  \
158 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_1) libt.a \
159 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_2) $(am__append_2)
160 t_pam_env_SOURCES = t_pam_env.c
161 t_pam_env_OBJECTS = t_pam_env.$(OBJEXT)
162 t_pam_env_LDADD = $(LDADD)
163 @WITH_TEST_TRUE@t_pam_env_DEPENDENCIES = $(am__DEPENDENCIES_1) libt.a \
164 @WITH_TEST_TRUE@        $(am__DEPENDENCIES_2) $(am__append_2)
165 AM_V_P = $(am__v_P_@AM_V@)
166 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
167 am__v_P_0 = false
168 am__v_P_1 = :
169 AM_V_GEN = $(am__v_GEN_@AM_V@)
170 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
171 am__v_GEN_0 = @echo "  GEN     " $@;
172 am__v_GEN_1 = 
173 AM_V_at = $(am__v_at_@AM_V@)
174 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
175 am__v_at_0 = @
176 am__v_at_1 = 
177 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
178 depcomp = $(SHELL) $(top_srcdir)/depcomp
179 am__maybe_remake_depfiles = depfiles
180 am__depfiles_remade = ./$(DEPDIR)/t_openpam_ctype.Po \
181         ./$(DEPDIR)/t_openpam_dispatch.Po \
182         ./$(DEPDIR)/t_openpam_readlinev.Po \
183         ./$(DEPDIR)/t_openpam_readword.Po ./$(DEPDIR)/t_pam_conv.Po \
184         ./$(DEPDIR)/t_pam_env.Po ./$(DEPDIR)/t_pam_err.Po
185 am__mv = mv -f
186 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
187         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
188 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
189         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
190         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
191         $(AM_CFLAGS) $(CFLAGS)
192 AM_V_CC = $(am__v_CC_@AM_V@)
193 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
194 am__v_CC_0 = @echo "  CC      " $@;
195 am__v_CC_1 = 
196 CCLD = $(CC)
197 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
198         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
199         $(AM_LDFLAGS) $(LDFLAGS) -o $@
200 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
201 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
202 am__v_CCLD_0 = @echo "  CCLD    " $@;
203 am__v_CCLD_1 = 
204 SOURCES = $(libt_a_SOURCES) t_openpam_ctype.c t_openpam_dispatch.c \
205         t_openpam_readlinev.c t_openpam_readword.c t_pam_env.c
206 DIST_SOURCES = $(am__libt_a_SOURCES_DIST) t_openpam_ctype.c \
207         t_openpam_dispatch.c t_openpam_readlinev.c \
208         t_openpam_readword.c t_pam_env.c
209 am__can_run_installinfo = \
210   case $$AM_UPDATE_INFO_DIR in \
211     n|no|NO) false;; \
212     *) (install-info --version) >/dev/null 2>&1;; \
213   esac
214 am__noinst_HEADERS_DIST = t_pam_conv.h t_pam_err.h
215 HEADERS = $(noinst_HEADERS)
216 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
217 # Read a list of newline-separated strings from the standard input,
218 # and print each of them once, without duplicates.  Input order is
219 # *not* preserved.
220 am__uniquify_input = $(AWK) '\
221   BEGIN { nonempty = 0; } \
222   { items[$$0] = 1; nonempty = 1; } \
223   END { if (nonempty) { for (i in items) print i; }; } \
224 '
225 # Make sure the list of sources is unique.  This is necessary because,
226 # e.g., the same source file might be shared among _SOURCES variables
227 # for different programs/libraries.
228 am__define_uniq_tagged_files = \
229   list='$(am__tagged_files)'; \
230   unique=`for i in $$list; do \
231     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
232   done | $(am__uniquify_input)`
233 ETAGS = etags
234 CTAGS = ctags
235 am__tty_colors_dummy = \
236   mgn= red= grn= lgn= blu= brg= std=; \
237   am__color_tests=no
238 am__tty_colors = { \
239   $(am__tty_colors_dummy); \
240   if test "X$(AM_COLOR_TESTS)" = Xno; then \
241     am__color_tests=no; \
242   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
243     am__color_tests=yes; \
244   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
245     am__color_tests=yes; \
246   fi; \
247   if test $$am__color_tests = yes; then \
248     red='\e[0;31m'; \
249     grn='\e[0;32m'; \
250     lgn='\e[1;32m'; \
251     blu='\e[1;34m'; \
252     mgn='\e[0;35m'; \
253     brg='\e[1m'; \
254     std='\e[m'; \
255   fi; \
256 }
257 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
258 am__vpath_adj = case $$p in \
259     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
260     *) f=$$p;; \
261   esac;
262 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
263 am__install_max = 40
264 am__nobase_strip_setup = \
265   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
266 am__nobase_strip = \
267   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
268 am__nobase_list = $(am__nobase_strip_setup); \
269   for p in $$list; do echo "$$p $$p"; done | \
270   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
271   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
272     if (++n[$$2] == $(am__install_max)) \
273       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
274     END { for (dir in files) print dir, files[dir] }'
275 am__base_list = \
276   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
277   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
278 am__uninstall_files_from_dir = { \
279   test -z "$$files" \
280     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
281     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
282          $(am__cd) "$$dir" && rm -f $$files; }; \
283   }
284 am__recheck_rx = ^[     ]*:recheck:[    ]*
285 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
286 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
287 # A command that, given a newline-separated list of test names on the
288 # standard input, print the name of the tests that are to be re-run
289 # upon "make recheck".
290 am__list_recheck_tests = $(AWK) '{ \
291   recheck = 1; \
292   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
293     { \
294       if (rc < 0) \
295         { \
296           if ((getline line2 < ($$0 ".log")) < 0) \
297             recheck = 0; \
298           break; \
299         } \
300       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
301         { \
302           recheck = 0; \
303           break; \
304         } \
305       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
306         { \
307           break; \
308         } \
309     }; \
310   if (recheck) \
311     print $$0; \
312   close ($$0 ".trs"); \
313   close ($$0 ".log"); \
314 }'
315 # A command that, given a newline-separated list of test names on the
316 # standard input, create the global log from their .trs and .log files.
317 am__create_global_log = $(AWK) ' \
318 function fatal(msg) \
319 { \
320   print "fatal: making $@: " msg | "cat >&2"; \
321   exit 1; \
322 } \
323 function rst_section(header) \
324 { \
325   print header; \
326   len = length(header); \
327   for (i = 1; i <= len; i = i + 1) \
328     printf "="; \
329   printf "\n\n"; \
330 } \
331 { \
332   copy_in_global_log = 1; \
333   global_test_result = "RUN"; \
334   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
335     { \
336       if (rc < 0) \
337          fatal("failed to read from " $$0 ".trs"); \
338       if (line ~ /$(am__global_test_result_rx)/) \
339         { \
340           sub("$(am__global_test_result_rx)", "", line); \
341           sub("[        ]*$$", "", line); \
342           global_test_result = line; \
343         } \
344       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
345         copy_in_global_log = 0; \
346     }; \
347   if (copy_in_global_log) \
348     { \
349       rst_section(global_test_result ": " $$0); \
350       while ((rc = (getline line < ($$0 ".log"))) != 0) \
351       { \
352         if (rc < 0) \
353           fatal("failed to read from " $$0 ".log"); \
354         print line; \
355       }; \
356       printf "\n"; \
357     }; \
358   close ($$0 ".trs"); \
359   close ($$0 ".log"); \
360 }'
361 # Restructured Text title.
362 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
363 # Solaris 10 'make', and several other traditional 'make' implementations,
364 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
365 # by disabling -e (using the XSI extension "set +e") if it's set.
366 am__sh_e_setup = case $$- in *e*) set +e;; esac
367 # Default flags passed to test drivers.
368 am__common_driver_flags = \
369   --color-tests "$$am__color_tests" \
370   --enable-hard-errors "$$am__enable_hard_errors" \
371   --expect-failure "$$am__expect_failure"
372 # To be inserted before the command running the test.  Creates the
373 # directory for the log if needed.  Stores in $dir the directory
374 # containing $f, in $tst the test, in $log the log.  Executes the
375 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
376 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
377 # will run the test scripts (or their associated LOG_COMPILER, if
378 # thy have one).
379 am__check_pre = \
380 $(am__sh_e_setup);                                      \
381 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
382 $(am__tty_colors);                                      \
383 srcdir=$(srcdir); export srcdir;                        \
384 case "$@" in                                            \
385   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
386     *) am__odir=.;;                                     \
387 esac;                                                   \
388 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
389   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
390 if test -f "./$$f"; then dir=./;                        \
391 elif test -f "$$f"; then dir=;                          \
392 else dir="$(srcdir)/"; fi;                              \
393 tst=$$dir$$f; log='$@';                                 \
394 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
395   am__enable_hard_errors=no;                            \
396 else                                                    \
397   am__enable_hard_errors=yes;                           \
398 fi;                                                     \
399 case " $(XFAIL_TESTS) " in                              \
400   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
401     am__expect_failure=yes;;                            \
402   *)                                                    \
403     am__expect_failure=no;;                             \
404 esac;                                                   \
405 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
406 # A shell command to get the names of the tests scripts with any registered
407 # extension removed (i.e., equivalently, the names of the test logs, with
408 # the '.log' extension removed).  The result is saved in the shell variable
409 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
410 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
411 # since that might cause problem with VPATH rewrites for suffix-less tests.
412 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
413 am__set_TESTS_bases = \
414   bases='$(TEST_LOGS)'; \
415   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
416   bases=`echo $$bases`
417 RECHECK_LOGS = $(TEST_LOGS)
418 AM_RECURSIVE_TARGETS = check recheck
419 TEST_SUITE_LOG = test-suite.log
420 TEST_EXTENSIONS = @EXEEXT@ .test
421 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
422 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
423 am__set_b = \
424   case '$@' in \
425     */*) \
426       case '$*' in \
427         */*) b='$*';; \
428           *) b=`echo '$@' | sed 's/\.log$$//'`; \
429        esac;; \
430     *) \
431       b='$*';; \
432   esac
433 am__test_logs1 = $(TESTS:=.log)
434 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
435 TEST_LOGS = $(am__test_logs2:.test.log=.log)
436 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
437 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
438         $(TEST_LOG_FLAGS)
439 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
440         $(top_srcdir)/test-driver
441 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
442 ACLOCAL = @ACLOCAL@
443 AMTAR = @AMTAR@
444 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
445 AR = @AR@
446 AUTOCONF = @AUTOCONF@
447 AUTOHEADER = @AUTOHEADER@
448 AUTOMAKE = @AUTOMAKE@
449 AWK = @AWK@
450 CC = @CC@
451 CCDEPMODE = @CCDEPMODE@
452 CFLAGS = @CFLAGS@
453 CPP = @CPP@
454 CPPFLAGS = @CPPFLAGS@
455 CRYB_TEST_CFLAGS = @CRYB_TEST_CFLAGS@
456 CRYB_TEST_LIBS = @CRYB_TEST_LIBS@
457 CRYB_TEST_VERSION = @CRYB_TEST_VERSION@
458 CYGPATH_W = @CYGPATH_W@
459 DEFS = @DEFS@
460 DEPDIR = @DEPDIR@
461 DLLTOOL = @DLLTOOL@
462 DL_LIBS = @DL_LIBS@
463 DSYMUTIL = @DSYMUTIL@
464 DUMPBIN = @DUMPBIN@
465 ECHO_C = @ECHO_C@
466 ECHO_N = @ECHO_N@
467 ECHO_T = @ECHO_T@
468 EGREP = @EGREP@
469 EXEEXT = @EXEEXT@
470 FGREP = @FGREP@
471 GREP = @GREP@
472 INSTALL = @INSTALL@
473 INSTALL_DATA = @INSTALL_DATA@
474 INSTALL_PROGRAM = @INSTALL_PROGRAM@
475 INSTALL_SCRIPT = @INSTALL_SCRIPT@
476 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
477 LD = @LD@
478 LDFLAGS = @LDFLAGS@
479 LIBOBJS = @LIBOBJS@
480 LIBS = @LIBS@
481 LIBTOOL = @LIBTOOL@
482 LIB_MAJ = @LIB_MAJ@
483 LIPO = @LIPO@
484 LN_S = @LN_S@
485 LTLIBOBJS = @LTLIBOBJS@
486 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
487 MAKEINFO = @MAKEINFO@
488 MANIFEST_TOOL = @MANIFEST_TOOL@
489 MKDIR_P = @MKDIR_P@
490 NM = @NM@
491 NMEDIT = @NMEDIT@
492 OBJDUMP = @OBJDUMP@
493 OBJEXT = @OBJEXT@
494 OPENPAM_MODULES_DIR = @OPENPAM_MODULES_DIR@
495 OTOOL = @OTOOL@
496 OTOOL64 = @OTOOL64@
497 PACKAGE = @PACKAGE@
498 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
499 PACKAGE_NAME = @PACKAGE_NAME@
500 PACKAGE_STRING = @PACKAGE_STRING@
501 PACKAGE_TARNAME = @PACKAGE_TARNAME@
502 PACKAGE_URL = @PACKAGE_URL@
503 PACKAGE_VERSION = @PACKAGE_VERSION@
504 PATH_SEPARATOR = @PATH_SEPARATOR@
505 PKG_CONFIG = @PKG_CONFIG@
506 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
507 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
508 RANLIB = @RANLIB@
509 SED = @SED@
510 SET_MAKE = @SET_MAKE@
511 SHELL = @SHELL@
512 STRIP = @STRIP@
513 SYSTEM_LIBPAM = @SYSTEM_LIBPAM@
514 VERSION = @VERSION@
515 abs_builddir = @abs_builddir@
516 abs_srcdir = @abs_srcdir@
517 abs_top_builddir = @abs_top_builddir@
518 abs_top_srcdir = @abs_top_srcdir@
519 ac_ct_AR = @ac_ct_AR@
520 ac_ct_CC = @ac_ct_CC@
521 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
522 am__include = @am__include@
523 am__leading_dot = @am__leading_dot@
524 am__quote = @am__quote@
525 am__tar = @am__tar@
526 am__untar = @am__untar@
527 bindir = @bindir@
528 build = @build@
529 build_alias = @build_alias@
530 build_cpu = @build_cpu@
531 build_os = @build_os@
532 build_vendor = @build_vendor@
533 builddir = @builddir@
534 datadir = @datadir@
535 datarootdir = @datarootdir@
536 docdir = @docdir@
537 dvidir = @dvidir@
538 exec_prefix = @exec_prefix@
539 host = @host@
540 host_alias = @host_alias@
541 host_cpu = @host_cpu@
542 host_os = @host_os@
543 host_vendor = @host_vendor@
544 htmldir = @htmldir@
545 includedir = @includedir@
546 infodir = @infodir@
547 install_sh = @install_sh@
548 libdir = @libdir@
549 libexecdir = @libexecdir@
550 localedir = @localedir@
551 localstatedir = @localstatedir@
552 mandir = @mandir@
553 mkdir_p = @mkdir_p@
554 oldincludedir = @oldincludedir@
555 pdfdir = @pdfdir@
556 pkgconfigdir = @pkgconfigdir@
557 prefix = @prefix@
558 program_transform_name = @program_transform_name@
559 psdir = @psdir@
560 sbindir = @sbindir@
561 sharedstatedir = @sharedstatedir@
562 srcdir = @srcdir@
563 sysconfdir = @sysconfdir@
564 target_alias = @target_alias@
565 top_build_prefix = @top_build_prefix@
566 top_builddir = @top_builddir@
567 top_srcdir = @top_srcdir@
568 @WITH_TEST_TRUE@AM_CPPFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/lib/libpam \
569 @WITH_TEST_TRUE@        $(CRYB_TEST_CFLAGS)
570
571 @WITH_TEST_TRUE@AM_TESTS_ENVIRONMENT = \
572 @WITH_TEST_TRUE@        PAM_RETURN_SO=$(abs_top_builddir)/modules/pam_return/.libs/pam_return.so
573
574
575 # libt - common support code
576 @WITH_TEST_TRUE@check_LIBRARIES = libt.a
577 @WITH_TEST_TRUE@libt_a_SOURCES = t_pam_conv.c t_pam_err.c
578 @WITH_TEST_TRUE@noinst_HEADERS = t_pam_conv.h t_pam_err.h
579
580 # link with libpam and test framework
581 @WITH_TEST_TRUE@LDADD = $(CRYB_TEST_LIBS) libt.a $(am__append_1) \
582 @WITH_TEST_TRUE@        $(am__append_2)
583 all: all-am
584
585 .SUFFIXES:
586 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
587 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
588         @for dep in $?; do \
589           case '$(am__configure_deps)' in \
590             *$$dep*) \
591               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
592                 && { if test -f $@; then exit 0; else break; fi; }; \
593               exit 1;; \
594           esac; \
595         done; \
596         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign t/Makefile'; \
597         $(am__cd) $(top_srcdir) && \
598           $(AUTOMAKE) --foreign t/Makefile
599 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
600         @case '$?' in \
601           *config.status*) \
602             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
603           *) \
604             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
605             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
606         esac;
607
608 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
609         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
610
611 $(top_srcdir)/configure:  $(am__configure_deps)
612         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
613 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
614         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
615 $(am__aclocal_m4_deps):
616
617 clean-checkPROGRAMS:
618         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
619         echo " rm -f" $$list; \
620         rm -f $$list || exit $$?; \
621         test -n "$(EXEEXT)" || exit 0; \
622         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
623         echo " rm -f" $$list; \
624         rm -f $$list
625
626 clean-checkLIBRARIES:
627         -test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)
628
629 libt.a: $(libt_a_OBJECTS) $(libt_a_DEPENDENCIES) $(EXTRA_libt_a_DEPENDENCIES) 
630         $(AM_V_at)-rm -f libt.a
631         $(AM_V_AR)$(libt_a_AR) libt.a $(libt_a_OBJECTS) $(libt_a_LIBADD)
632         $(AM_V_at)$(RANLIB) libt.a
633
634 t_openpam_ctype$(EXEEXT): $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_DEPENDENCIES) $(EXTRA_t_openpam_ctype_DEPENDENCIES) 
635         @rm -f t_openpam_ctype$(EXEEXT)
636         $(AM_V_CCLD)$(LINK) $(t_openpam_ctype_OBJECTS) $(t_openpam_ctype_LDADD) $(LIBS)
637
638 t_openpam_dispatch$(EXEEXT): $(t_openpam_dispatch_OBJECTS) $(t_openpam_dispatch_DEPENDENCIES) $(EXTRA_t_openpam_dispatch_DEPENDENCIES) 
639         @rm -f t_openpam_dispatch$(EXEEXT)
640         $(AM_V_CCLD)$(LINK) $(t_openpam_dispatch_OBJECTS) $(t_openpam_dispatch_LDADD) $(LIBS)
641
642 t_openpam_readlinev$(EXEEXT): $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_DEPENDENCIES) $(EXTRA_t_openpam_readlinev_DEPENDENCIES) 
643         @rm -f t_openpam_readlinev$(EXEEXT)
644         $(AM_V_CCLD)$(LINK) $(t_openpam_readlinev_OBJECTS) $(t_openpam_readlinev_LDADD) $(LIBS)
645
646 t_openpam_readword$(EXEEXT): $(t_openpam_readword_OBJECTS) $(t_openpam_readword_DEPENDENCIES) $(EXTRA_t_openpam_readword_DEPENDENCIES) 
647         @rm -f t_openpam_readword$(EXEEXT)
648         $(AM_V_CCLD)$(LINK) $(t_openpam_readword_OBJECTS) $(t_openpam_readword_LDADD) $(LIBS)
649
650 t_pam_env$(EXEEXT): $(t_pam_env_OBJECTS) $(t_pam_env_DEPENDENCIES) $(EXTRA_t_pam_env_DEPENDENCIES) 
651         @rm -f t_pam_env$(EXEEXT)
652         $(AM_V_CCLD)$(LINK) $(t_pam_env_OBJECTS) $(t_pam_env_LDADD) $(LIBS)
653
654 mostlyclean-compile:
655         -rm -f *.$(OBJEXT)
656
657 distclean-compile:
658         -rm -f *.tab.c
659
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_ctype.Po@am__quote@ # am--include-marker
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_dispatch.Po@am__quote@ # am--include-marker
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readlinev.Po@am__quote@ # am--include-marker
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_openpam_readword.Po@am__quote@ # am--include-marker
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pam_conv.Po@am__quote@ # am--include-marker
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pam_env.Po@am__quote@ # am--include-marker
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_pam_err.Po@am__quote@ # am--include-marker
667
668 $(am__depfiles_remade):
669         @$(MKDIR_P) $(@D)
670         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
671
672 am--depfiles: $(am__depfiles_remade)
673
674 .c.o:
675 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
676 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
678 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
679 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
680
681 .c.obj:
682 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
683 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
685 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
686 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
687
688 .c.lo:
689 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
690 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
692 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
693 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
694
695 mostlyclean-libtool:
696         -rm -f *.lo
697
698 clean-libtool:
699         -rm -rf .libs _libs
700
701 ID: $(am__tagged_files)
702         $(am__define_uniq_tagged_files); mkid -fID $$unique
703 tags: tags-am
704 TAGS: tags
705
706 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
707         set x; \
708         here=`pwd`; \
709         $(am__define_uniq_tagged_files); \
710         shift; \
711         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
712           test -n "$$unique" || unique=$$empty_fix; \
713           if test $$# -gt 0; then \
714             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
715               "$$@" $$unique; \
716           else \
717             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
718               $$unique; \
719           fi; \
720         fi
721 ctags: ctags-am
722
723 CTAGS: ctags
724 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
725         $(am__define_uniq_tagged_files); \
726         test -z "$(CTAGS_ARGS)$$unique" \
727           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
728              $$unique
729
730 GTAGS:
731         here=`$(am__cd) $(top_builddir) && pwd` \
732           && $(am__cd) $(top_srcdir) \
733           && gtags -i $(GTAGS_ARGS) "$$here"
734 cscopelist: cscopelist-am
735
736 cscopelist-am: $(am__tagged_files)
737         list='$(am__tagged_files)'; \
738         case "$(srcdir)" in \
739           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
740           *) sdir=$(subdir)/$(srcdir) ;; \
741         esac; \
742         for i in $$list; do \
743           if test -f "$$i"; then \
744             echo "$(subdir)/$$i"; \
745           else \
746             echo "$$sdir/$$i"; \
747           fi; \
748         done >> $(top_builddir)/cscope.files
749
750 distclean-tags:
751         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
752
753 # Recover from deleted '.trs' file; this should ensure that
754 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
755 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
756 # to avoid problems with "make -n".
757 .log.trs:
758         rm -f $< $@
759         $(MAKE) $(AM_MAKEFLAGS) $<
760
761 # Leading 'am--fnord' is there to ensure the list of targets does not
762 # expand to empty, as could happen e.g. with make check TESTS=''.
763 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
764 am--force-recheck:
765         @:
766
767 $(TEST_SUITE_LOG): $(TEST_LOGS)
768         @$(am__set_TESTS_bases); \
769         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
770         redo_bases=`for i in $$bases; do \
771                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
772                     done`; \
773         if test -n "$$redo_bases"; then \
774           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
775           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
776           if $(am__make_dryrun); then :; else \
777             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
778           fi; \
779         fi; \
780         if test -n "$$am__remaking_logs"; then \
781           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
782                "recursion detected" >&2; \
783         elif test -n "$$redo_logs"; then \
784           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
785         fi; \
786         if $(am__make_dryrun); then :; else \
787           st=0;  \
788           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
789           for i in $$redo_bases; do \
790             test -f $$i.trs && test -r $$i.trs \
791               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
792             test -f $$i.log && test -r $$i.log \
793               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
794           done; \
795           test $$st -eq 0 || exit 1; \
796         fi
797         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
798         ws='[   ]'; \
799         results=`for b in $$bases; do echo $$b.trs; done`; \
800         test -n "$$results" || results=/dev/null; \
801         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
802         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
803         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
804         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
805         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
806         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
807         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
808         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
809           success=true; \
810         else \
811           success=false; \
812         fi; \
813         br='==================='; br=$$br$$br$$br$$br; \
814         result_count () \
815         { \
816             if test x"$$1" = x"--maybe-color"; then \
817               maybe_colorize=yes; \
818             elif test x"$$1" = x"--no-color"; then \
819               maybe_colorize=no; \
820             else \
821               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
822             fi; \
823             shift; \
824             desc=$$1 count=$$2; \
825             if test $$maybe_colorize = yes && test $$count -gt 0; then \
826               color_start=$$3 color_end=$$std; \
827             else \
828               color_start= color_end=; \
829             fi; \
830             echo "$${color_start}# $$desc $$count$${color_end}"; \
831         }; \
832         create_testsuite_report () \
833         { \
834           result_count $$1 "TOTAL:" $$all   "$$brg"; \
835           result_count $$1 "PASS: " $$pass  "$$grn"; \
836           result_count $$1 "SKIP: " $$skip  "$$blu"; \
837           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
838           result_count $$1 "FAIL: " $$fail  "$$red"; \
839           result_count $$1 "XPASS:" $$xpass "$$red"; \
840           result_count $$1 "ERROR:" $$error "$$mgn"; \
841         }; \
842         {                                                               \
843           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
844             $(am__rst_title);                                           \
845           create_testsuite_report --no-color;                           \
846           echo;                                                         \
847           echo ".. contents:: :depth: 2";                               \
848           echo;                                                         \
849           for b in $$bases; do echo $$b; done                           \
850             | $(am__create_global_log);                                 \
851         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
852         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
853         if $$success; then                                              \
854           col="$$grn";                                                  \
855          else                                                           \
856           col="$$red";                                                  \
857           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
858         fi;                                                             \
859         echo "$${col}$$br$${std}";                                      \
860         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
861         echo "$${col}$$br$${std}";                                      \
862         create_testsuite_report --maybe-color;                          \
863         echo "$$col$$br$$std";                                          \
864         if $$success; then :; else                                      \
865           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
866           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
867             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
868           fi;                                                           \
869           echo "$$col$$br$$std";                                        \
870         fi;                                                             \
871         $$success || exit 1
872
873 check-TESTS: $(check_PROGRAMS) $(check_LIBRARIES)
874         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
875         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
876         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
877         @set +e; $(am__set_TESTS_bases); \
878         log_list=`for i in $$bases; do echo $$i.log; done`; \
879         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
880         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
881         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
882         exit $$?;
883 recheck: all $(check_PROGRAMS) $(check_LIBRARIES)
884         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
885         @set +e; $(am__set_TESTS_bases); \
886         bases=`for i in $$bases; do echo $$i; done \
887                  | $(am__list_recheck_tests)` || exit 1; \
888         log_list=`for i in $$bases; do echo $$i.log; done`; \
889         log_list=`echo $$log_list`; \
890         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
891                 am__force_recheck=am--force-recheck \
892                 TEST_LOGS="$$log_list"; \
893         exit $$?
894 t_openpam_ctype.log: t_openpam_ctype$(EXEEXT)
895         @p='t_openpam_ctype$(EXEEXT)'; \
896         b='t_openpam_ctype'; \
897         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
898         --log-file $$b.log --trs-file $$b.trs \
899         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
900         "$$tst" $(AM_TESTS_FD_REDIRECT)
901 t_openpam_dispatch.log: t_openpam_dispatch$(EXEEXT)
902         @p='t_openpam_dispatch$(EXEEXT)'; \
903         b='t_openpam_dispatch'; \
904         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
905         --log-file $$b.log --trs-file $$b.trs \
906         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
907         "$$tst" $(AM_TESTS_FD_REDIRECT)
908 t_openpam_readword.log: t_openpam_readword$(EXEEXT)
909         @p='t_openpam_readword$(EXEEXT)'; \
910         b='t_openpam_readword'; \
911         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
912         --log-file $$b.log --trs-file $$b.trs \
913         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
914         "$$tst" $(AM_TESTS_FD_REDIRECT)
915 t_openpam_readlinev.log: t_openpam_readlinev$(EXEEXT)
916         @p='t_openpam_readlinev$(EXEEXT)'; \
917         b='t_openpam_readlinev'; \
918         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
919         --log-file $$b.log --trs-file $$b.trs \
920         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
921         "$$tst" $(AM_TESTS_FD_REDIRECT)
922 t_pam_env.log: t_pam_env$(EXEEXT)
923         @p='t_pam_env$(EXEEXT)'; \
924         b='t_pam_env'; \
925         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
926         --log-file $$b.log --trs-file $$b.trs \
927         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
928         "$$tst" $(AM_TESTS_FD_REDIRECT)
929 .test.log:
930         @p='$<'; \
931         $(am__set_b); \
932         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
933         --log-file $$b.log --trs-file $$b.trs \
934         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
935         "$$tst" $(AM_TESTS_FD_REDIRECT)
936 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
937 @am__EXEEXT_TRUE@       @p='$<'; \
938 @am__EXEEXT_TRUE@       $(am__set_b); \
939 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
940 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
941 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
942 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
943
944 distdir: $(BUILT_SOURCES)
945         $(MAKE) $(AM_MAKEFLAGS) distdir-am
946
947 distdir-am: $(DISTFILES)
948         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
949         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
950         list='$(DISTFILES)'; \
951           dist_files=`for file in $$list; do echo $$file; done | \
952           sed -e "s|^$$srcdirstrip/||;t" \
953               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
954         case $$dist_files in \
955           */*) $(MKDIR_P) `echo "$$dist_files" | \
956                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
957                            sort -u` ;; \
958         esac; \
959         for file in $$dist_files; do \
960           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
961           if test -d $$d/$$file; then \
962             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
963             if test -d "$(distdir)/$$file"; then \
964               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
965             fi; \
966             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
967               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
968               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
969             fi; \
970             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
971           else \
972             test -f "$(distdir)/$$file" \
973             || cp -p $$d/$$file "$(distdir)/$$file" \
974             || exit 1; \
975           fi; \
976         done
977 check-am: all-am
978         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_LIBRARIES)
979         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
980 check: check-am
981 all-am: Makefile $(HEADERS)
982 installdirs:
983 install: install-am
984 install-exec: install-exec-am
985 install-data: install-data-am
986 uninstall: uninstall-am
987
988 install-am: all-am
989         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
990
991 installcheck: installcheck-am
992 install-strip:
993         if test -z '$(STRIP)'; then \
994           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
995             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
996               install; \
997         else \
998           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
999             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1000             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1001         fi
1002 mostlyclean-generic:
1003         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1004         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1005         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1006
1007 clean-generic:
1008
1009 distclean-generic:
1010         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1011         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1012
1013 maintainer-clean-generic:
1014         @echo "This command is intended for maintainers to use"
1015         @echo "it deletes files that may require special tools to rebuild."
1016 clean: clean-am
1017
1018 clean-am: clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
1019         clean-libtool mostlyclean-am
1020
1021 distclean: distclean-am
1022                 -rm -f ./$(DEPDIR)/t_openpam_ctype.Po
1023         -rm -f ./$(DEPDIR)/t_openpam_dispatch.Po
1024         -rm -f ./$(DEPDIR)/t_openpam_readlinev.Po
1025         -rm -f ./$(DEPDIR)/t_openpam_readword.Po
1026         -rm -f ./$(DEPDIR)/t_pam_conv.Po
1027         -rm -f ./$(DEPDIR)/t_pam_env.Po
1028         -rm -f ./$(DEPDIR)/t_pam_err.Po
1029         -rm -f Makefile
1030 distclean-am: clean-am distclean-compile distclean-generic \
1031         distclean-tags
1032
1033 dvi: dvi-am
1034
1035 dvi-am:
1036
1037 html: html-am
1038
1039 html-am:
1040
1041 info: info-am
1042
1043 info-am:
1044
1045 install-data-am:
1046
1047 install-dvi: install-dvi-am
1048
1049 install-dvi-am:
1050
1051 install-exec-am:
1052
1053 install-html: install-html-am
1054
1055 install-html-am:
1056
1057 install-info: install-info-am
1058
1059 install-info-am:
1060
1061 install-man:
1062
1063 install-pdf: install-pdf-am
1064
1065 install-pdf-am:
1066
1067 install-ps: install-ps-am
1068
1069 install-ps-am:
1070
1071 installcheck-am:
1072
1073 maintainer-clean: maintainer-clean-am
1074                 -rm -f ./$(DEPDIR)/t_openpam_ctype.Po
1075         -rm -f ./$(DEPDIR)/t_openpam_dispatch.Po
1076         -rm -f ./$(DEPDIR)/t_openpam_readlinev.Po
1077         -rm -f ./$(DEPDIR)/t_openpam_readword.Po
1078         -rm -f ./$(DEPDIR)/t_pam_conv.Po
1079         -rm -f ./$(DEPDIR)/t_pam_env.Po
1080         -rm -f ./$(DEPDIR)/t_pam_err.Po
1081         -rm -f Makefile
1082 maintainer-clean-am: distclean-am maintainer-clean-generic
1083
1084 mostlyclean: mostlyclean-am
1085
1086 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1087         mostlyclean-libtool
1088
1089 pdf: pdf-am
1090
1091 pdf-am:
1092
1093 ps: ps-am
1094
1095 ps-am:
1096
1097 uninstall-am:
1098
1099 .MAKE: check-am install-am install-strip
1100
1101 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1102         check-am clean clean-checkLIBRARIES clean-checkPROGRAMS \
1103         clean-generic clean-libtool cscopelist-am ctags ctags-am \
1104         distclean distclean-compile distclean-generic \
1105         distclean-libtool distclean-tags distdir dvi dvi-am html \
1106         html-am info info-am install install-am install-data \
1107         install-data-am install-dvi install-dvi-am install-exec \
1108         install-exec-am install-html install-html-am install-info \
1109         install-info-am install-man install-pdf install-pdf-am \
1110         install-ps install-ps-am install-strip installcheck \
1111         installcheck-am installdirs maintainer-clean \
1112         maintainer-clean-generic mostlyclean mostlyclean-compile \
1113         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1114         recheck tags tags-am uninstall uninstall-am
1115
1116 .PRECIOUS: Makefile
1117
1118
1119 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1120 # Otherwise a system limit (for SysV at least) may be exceeded.
1121 .NOEXPORT: